Bug 696121 - Unfriendly update notifications
Summary: Unfriendly update notifications
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 706734 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-13 11:08 UTC by Elad Alfassa
Modified: 2012-08-07 19:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:47:08 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2011-04-13 11:08:55 UTC
The software update notification (afaik done by gnome-settings-daemon now) in not user friendly.
Two main problems: 
1. Uses a generic lightbulb icon instead of software-update-urgent, software-update-available and such.
2. When hovering the icon in the shell's notification tray, the name displayed is "gnome-settings-daemon", which is rather unfriendly for beginners. I suggest changing this to "System Notification", "Software Updates" or something similar.

Comment 1 Elad Alfassa 2011-04-28 08:03:33 UTC
moving to gnome-packagekit.

Comment 2 Richard Hughes 2011-04-28 08:09:09 UTC
https://live.gnome.org/GnomeShell/Design/Guidelines/MessageTray/SoftwareUpdates was kinda bare when implementing this functionality, so I guess I can be forgiven.

For 1, if the designers agree then would be very easy to change.
For 2, I'm not sure if it's possible to change the per-program name as I think this is set in libnotify_init() which is used in all of g-s-d.

I'll cc Jon for comments on both points.

Comment 3 Matthias Clasen 2011-04-28 13:05:10 UTC
there is notify_get/set_app_name now, so you can set the app name around your notification_show calls. Not nice, not thread-safe, but perhaps good enough for now.

Comment 4 Matthias Clasen 2011-04-29 01:11:17 UTC
I've put a patch at https://bugzilla.gnome.org/show_bug.cgi?id=648911

Comment 5 Elad Alfassa 2011-05-22 15:28:22 UTC
*** Bug 706734 has been marked as a duplicate of this bug. ***

Comment 6 Eddie Lania 2011-09-03 11:07:41 UTC
If the light bulb in the notification area pops up and you click on it, it does not bring up the software updates application like it used to do with earlier version of fedora. Instead, the notification just disappears.

I wonder if people that are less familiar with the fedora os will install any updates at all this way.

Now they have to figure out themselves that actually no software updates are being installed at all and how the should solve that.

In my opinion the software update should be made more persistent by making sure that once you click on the update notification, the software updates application should appear on the screen immediately.

If you choose to not install the updates, the notification should stay visible.

Comment 7 Fedora End Of Life 2012-08-07 19:47:10 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.